package com.DroidGHTopo;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import com.DroidGHTopo.R;
import com.Exo1.CallDialogs;
import static com.Exo1.CallDialogs.*;
import com.Exo1.DlgCommand;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
public class MainActivity extends Activity implements View.OnClickListener, View.OnTouchListener
{
    private static final int CODE_DE_MON_ACTIVITE = 1;
    private Button btnNewDoc = null;  
    private Button btnOpen   = null;  
    private Button btnQuit   = null;
    private TextView lbNomTopo = null;
    private EditText editNomTopo = null;
    private TextView lbXEntree = null;
    private EditText editXEntree = null;
    private TextView lbYEntree = null;
    private EditText editYEntree = null;
    private TextView lbZEntree = null;
    private EditText editZEntree = null;
    private Button btnCreateAndOpen = null;
    
    
    //private Spinner lsbFichiersXTB = null;
    private ListView lsbFichiersXTB = null;
    private boolean fVisiblePanelCreationCavite;
    
    // masquer/démasquer le panneau "Nouveau document"
    private void setVisibilitePnlNewDoc(boolean v)
    {
        int R90 = (v) ? View.VISIBLE : View.INVISIBLE;             
        lbNomTopo.setVisibility(R90);        editNomTopo.setVisibility(R90);
        lbXEntree.setVisibility(R90);        editXEntree.setVisibility(R90);
        lbYEntree.setVisibility(R90);        editYEntree.setVisibility(R90);
        lbZEntree.setVisibility(R90);        editZEntree.setVisibility(R90);
        btnCreateAndOpen.setVisibility(R90);
        String EWE = (v) ? "Annuler" : "Nouveau document";
        btnNewDoc.setText(EWE);
    }        
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        
        setContentView(R.layout.main);
        
        btnNewDoc = (Button)    findViewById(R.id.btnNew);
        btnOpen   = (Button)    findViewById(R.id.btnOpen);
        btnQuit   = (Button)    findViewById(R.id.btnQuit);
        lbNomTopo = (TextView)  findViewById(R.id.lbNomTopo); 
        editNomTopo = (EditText) findViewById(R.id.editNomTopo);
        lbXEntree   = (TextView)  findViewById(R.id.lbXEntree); 
        editXEntree = (EditText)  findViewById(R.id.editXEntree);
        lbYEntree   = (TextView)  findViewById(R.id.lbYEntree); 
        editYEntree = (EditText)  findViewById(R.id.editYEntree);
        lbZEntree   = (TextView)  findViewById(R.id.lbZEntree); 
        editZEntree = (EditText)  findViewById(R.id.editZEntree);
        btnCreateAndOpen = (Button)    findViewById(R.id.btnCreateAndOpen);
        //editNomTopo.
    
        //btnQuit.setOnClickListener(clickListenerBtnQuit);
        btnNewDoc.setOnClickListener(this);
        btnOpen.setOnClickListener(this);
        btnQuit.setOnClickListener(this);
        editNomTopo.setOnClickListener(this);
        editXEntree.setOnClickListener(this);
        editYEntree.setOnClickListener(this);
        editZEntree.setOnClickListener(this);
        btnCreateAndOpen.setOnClickListener(this);
        
        // visibilité
        fVisiblePanelCreationCavite = false;
        setVisibilitePnlNewDoc(fVisiblePanelCreationCavite);
        
        //btnQuit.setOnTouchListener(this);
        //*/
        //ListerFichiers();
    }
    //*********************
    
    @Override
    public boolean onTouch (View v, MotionEvent event)
    {
        return true;
    }   
    @Override
    public void onClick(View v)
    {
        
        switch(v.getId())
        {
            case R.id.btnNew:
                ; // actions bouton Nouveau
                fVisiblePanelCreationCavite = ! fVisiblePanelCreationCavite;
                setVisibilitePnlNewDoc(fVisiblePanelCreationCavite);
                break;
            case R.id.btnOpen:
                ; // actions bouton Ouvrir
                break;
            case R.id.btnQuit:
                DlgCommand yesnoCommand = new DlgCommand() 
                {
                    public void execute() 
                    {
                        System.exit(0);                        
                    }
                };
                displayYesNoDialog(this, "Quitter", yesnoCommand);
                break;
            case R.id.lbNomTopo:
                break;   
            case R.id.editNomTopo:
                break;
            case R.id.editXEntree:
                break;
            case R.id.editYEntree:
                break;
            case R.id.editZEntree:
                break;
            case R.id.btnCreateAndOpen:
                String NomCavite = editNomTopo.getText().toString().trim();
                showMessageFmt(this, "Création de %s", NomCavite);
                // démarrage de l'autre activité
                //On créé un objet Bundle, c'est ce qui va nous permetre d'envoyer des données à l'autre Activity
                Bundle objetbundle = new Bundle();

                //Cela fonctionne plus ou moins comme une HashMap, on entre une clef et sa valeur en face
                objetbundle.putString("NomCavite", NomCavite);


                //On créé l'Intent qui va nous permettre d'afficher l'autre Activity
                //Attention il va surement falloir que vous modifier le premier paramètre (Tutoriel9_Android.this)
                //Mettez le nom de l'Activity dans la quelle vous êtes actuellement
                Intent intent = new Intent(MainActivity.this, ActiviteEditTopo.class);

                //On affecte à l'Intent le Bundle que l'on a créé
                intent.putExtras(objetbundle);

                //On démarre l'autre Activity
                startActivityForResult(intent, CODE_DE_MON_ACTIVITE);
                
                break;
            
            default:
                break;
        } 
        //*/
    } 
    //*/
    // lister les fichiers
    public void ListerFichiers()
    {
        /*List<String> Items = new ArrayList<String>();
        for (int i = 0; i < 20; i++)
        {
            Items.add(String.format("Item %d", i));            
        }   
        ArrayAdapter<String> adapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, Items);
        //adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        lsbFichiersXTB.setAdapter(adapter);
        //*/
    }     
    // retour de l'activité appelée
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data){
    	//on regarde quelle Activity a répondu
    	switch(requestCode){
    	case CODE_DE_MON_ACTIVITE:
                //On regarde qu'elle est la réponse envoyée et en fonction de la réponse on affiche un message différent.
    	    switch(resultCode)
            {
	    	case 1:
	    		showMessage(this, "C'est bien ce que je pensais");	    		
	    		break;
	    	case 2:
	    		showMessage(this, "Menteuse !");
                        break;
    	    }
            return;
    	}
    }

    // sauvegarde du contexte
    @Override
    protected void onSaveInstanceState(Bundle outstate)
    {
        super.onSaveInstanceState(outstate);
        showMessage(this, "Sauvegarde de " + this.getLocalClassName());
    }        
}
